<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php if($variables['chart']):?>
    <div class="wtotem_chart__diagram">
        <div id="cpu-chart" class="line-chart" data-days="<?php echo $variables['days'] ?>">
            <div id="tooltipCpu" class="line-chart__tooltip">
                <span id="countCpu"></span>
            </div>
        </div>
    </div>

    <script>
            var cpu_chart = <?php echo $variables['chart'] ?>;

        if(typeof drawCpuChart !== 'undefined'){
            if(typeof cpu_chart == "object"){
                drawCpuChart(cpu_chart);
            }
        }
    </script>
<?php else: ?>
    <!-- No data block -->
    <section class="wtotem_reports-no-data" style="height:300px" >
        <h2 class="h2 visually-hidden"><?php echo \JText::_('WTOTEM_HAS_NO_ACTION_READY_YET') ?></h2>
        <p class="wtotem_reports-no-data__text">
	        <?php echo \JText::_('WTOTEM_HAS_NO_ACTION_READY_YET') ?>
        </p>
    </section>
<?php endif; ?>
