<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
// No direct access
defined('_JEXEC') or die;
?>
<?php if($variables['logs']):?>
    <?php foreach($variables['logs'] as $log): ?>
        <div class="wtotem_data__tr">
            <div class="wtotem_data__td wtotem_data_width_1 break-word">
                <div class="wtotem_data__ip">
                    <?php echo $log['ip'] ?>
                </div>
            </div>
            <div class="wtotem_data__td wtotem_data_width_2 break-word">
                <div class="wtotem_data__country wt-flex wt-flex-middle">

                <?php if($log['country_code']):?>
                        <img src="https://assets.wtotem.net/images/flags/<?php echo $log['country_code'] ?>.png" class="wtotem-mr-10 wtotem_flag">
                        <?php echo $log['country'] ?>
                    <?php else: ?>
	                    <?php echo \JText::_('WTOTEM_UNKNOWN') ?>
                    <?php endif; ?>
                </div>
            </div>
            <div class="wtotem_data__td wtotem_data_width_3">
                <?php echo $log['time'] ?>
            </div>

            <div class="wtotem_data__td wtotem_data_width_4 break-word" title="<?php echo $log['request'] ?>">
                <?php echo substr( $log['request'], 0, 30); ?>
            </div>
            <div class="wtotem_data__td wtotem_data_width_6 wt-text wt-text--red">
                <?php echo $log['blocked'] ?>
            </div>

            <div class="wtotem_data__td wtotem_data_width_6">
                <span data-more='<?php echo urlencode($log['more']) ?>' class="wtotem_firewall-log__show-more"><?php echo \JText::_('WTOTEM_SHOW_MORE') ?></span>
            </div>
        </div>
	<?php endforeach; ?>
<?php endif; ?>


