<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div id="wtotem_quarantine_wrap">
	<?php if($variables['count']):?>
    <section class="wtotem_antivirus__quarantine wtotem_state wt_card">
        <div class="wtotem_antivirus__quarantine-header">
            <h3 class="h3 wtotem_antivirus__quarantine-title"><?php echo \JText::_('WTOTEM_QUARANTINE') ?></h3>
            <p class="wtotem_antivirus__quarantine-files-count">
	            <?php echo \JText::_('WTOTEM_FILES_IN_QUARANTINE') ?> - <span id="quarantine_files_count"><?php echo $variables['count'] ?></span>
            </p>
        </div>

        <div class="wtotem_file-table">
            <div class="wtotem_file-table__thead">
                <div class="wtotem_file-table__tr">
                    <div class="wtotem_file-table__th">
                        <?php echo \JText::_('WTOTEM_FILE') ?>
                    </div>
                    <div class="wtotem_file-table__th">
	                    <?php echo \JText::_('WTOTEM_DATE') ?>
                    </div>
                    <div class="wtotem_file-table__th"></div>
                </div>
            </div>
            <div class="wtotem_file-table__tbody"  id="quarantine_logs_wrap">
                <?php include 'quarantine_logs.php'?>
            </div>
        </div>
    </section>
    <?php endif; ?>
</div>

