<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php foreach($variables['logs'] as $log): ?>
<div class="wtotem_file-table__tr">
    <div class="wtotem_file-table__td wtotem_file-table__td_critical" title="<?php echo $log['path'] ?>">
        <?php echo substr( $log['path'], 0, 30); ?>
    </div>
    <div class="wtotem_file-table__td">
        <?php echo $log['date'] ?>
    </div>
    <div class="wtotem_file-table__td wtotem_antivirus__quarantine-restore">
        <div data-id="<?php echo $log['id'] ?>" type="button" class="remove-from-quarantine wtotem_antivirus__quarantine-restore-button">
            <span class="wtotem_antivirus__quarantine-restore-text">
                <?php echo \JText::_('WTOTEM_RESTORE_FILE') ?>
            </span>
        </div>
    </div>
</div>
<?php endforeach; ?>

