<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php foreach($variables['reports'] as $report): ?>
<li class="wtotem_reports-accordion__item">
    <p class="wtotem_reports-accordion__title"><?php echo $report['created_at'] ?></p>

    <div class="wtotem_reports-accordion__content-wrapper visually-hidden">
        <dl class="wtotem_reports-accordion__content">
            <div class="wtotem_reports-accordion__line-wrapper">
                <dt class="wtotem_reports-accordion__line-title">
	                <?php echo \JText::_('WTOTEM_TYPE') ?>
                </dt>
                <dd class="wtotem_reports-accordion__line-value">PDF</dd>
            </div>
            <div class="wtotem_reports-accordion__line-wrapper">
                <dt class="wtotem_reports-accordion__line-title">
	                <?php echo \JText::_('WTOTEM_MODULES') ?>
                </dt>
                <dd class="wtotem_reports-accordion__line-value"><?php echo $report['modules'] ?></dd>
            </div>
        </dl>
        <div data-id="<?php echo $report['id'] ?>" class="report-download wtotem_reports-accordion__button wtotem_reports__btn button">
	        <?php echo \JText::_('WTOTEM_DOWNLOAD') ?>
        </div>
    </div>
</li>

<?php endforeach; ?>

<div id="wtotem_reports_m_more_btn_wrap">
	<?php if($variables['has_next_page']):?>
        <div class="wtotem_more_btn" id="reports_m_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>
	<?php endif; ?>
</div>