<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_chart wt_card" id="server_status_cpu">
    <div class="wtotem_chart-first">
        <div class="wtotem_chart-first__left">
            <h3 class="h3"><?php echo \JText::_('WTOTEM_CPU_LOAD_AVERAGE') ?>
                <div class="wtotem_title-info__info wtotem-tooltip">
                    <div class="wtotem-tooltip__content">
                        <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_CPU_LOAD_AVERAGE') ?></p>
                        <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_SHOWS_THE_CPU_LOAD') ?></p>
                    </div>
                </div>
            </h3>
        </div>
        <?php $variables['service'] = 'cpu'; ?>
        <?php include 'chart_periods.php'?>
    </div>

    <!-- CPU diagram -->
    <div id="cpu_chart_wrap">
        <?php include 'cpu_chart.php'?>
    </div>
</div>
