<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_map-wrap wtotem_map wt_card">
    <div class="wtotem_chart-first">
        <div class="wtotem_country">
            <div class="wtotem_country__title">
	            <?php echo \JText::_('WTOTEM_COUNTRY') ?>
            </div>
            <div class="wtotem_country__desc">
	            <?php echo \JText::_('WTOTEM_ATTACK_MAP') ?>
            </div>
        </div>
        <div class="wtotem_chart__wrapper">
          <?php $variables['service'] = 'map'; ?>
          <?php include 'chart_periods.php'?>
        </div>
    </div>

    <!-- Map -->
    <div class="wtotem_map-block" id="map_chart_wrap">
      <?php include 'map_chart.php'?>
    </div>
</div>
