<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<main class="wtotem_content">
    <div class="wtotem_container">

        <div class="section-header-mb">
            <h2 class="h2 title"> <?php echo \JText::_('WTOTEM_HELP_CENTER') ?></h2>
        </div>

        <!-- links -->
        <div class="wtotem_help-list__links wtotem_help-links">
            <ul class="wtotem_help-links__list">
                <li class="wtotem_help-links__item">
                    <a class="wtotem_help-links__title" target="_blank" href="https://wtotem.com/docs/">
	                    <?php echo \JText::_('WTOTEM_HELP_CENTER') ?>
                    </a>
                </li>
                <li class="wtotem_help-links__item">
                    <a class="wtotem_help-links__title" target="_blank" href="https://docs.wtotem.com/about-webtotem">
	                    <?php echo \JText::_('WTOTEM_OUR_TOOLS') ?>
                    </a>
                </li>
                <li class="wtotem_help-links__item">
                    <a class="wtotem_help-links__title" target="_blank" href="https://docs.wtotem.com/agent-statuses">
	                    <?php echo \JText::_('WTOTEM_DESCRIPTION_OF_STATUSES') ?>
                    </a>
                </li>
                <li class="wtotem_help-links__item">
                    <a class="wtotem_help-links__title" target="_blank" href="https://docs.wtotem.com/registration">
	                    <?php echo \JText::_('WTOTEM_INSTRUCTIONS') ?>
                    </a>
                </li>
                <li class="wtotem_help-links__item">
                    <a class="wtotem_help-links__title" target="_blank" href="https://docs.wtotem.com/plugin-for-wordpress">
	                    <?php echo \JText::_('WTOTEM_DOCUMENTATION') ?>
                    </a>
                </li>
            </ul>
        </div>

    </div>
</main>
