<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="port-scanner-list__table">
    <table>
        <thead>
        <tr>
            <td><?php echo \JText::_('WTOTEM_PORT') ?></td>
            <td><?php echo \JText::_('WTOTEM_ACTIONS') ?></td>
        </tr>
        </thead>
        <tbody>
        <?php if($variables['ports']['ignorePorts']):?>
            <?php foreach($variables['ports']['ignorePorts'] as $port): ?>
                <tr>
                    <td><span><?php echo $port; ?></span></td>
                    <td>
                        <div data-port="<?php echo $port; ?>" class="remove_port">
	                        <?php echo \JText::_('WTOTEM_REMOVE') ?>
                        </div>
                    </td>
                </tr>
            <?php endforeach; ?>
        <?php endif; ?>
        </tbody>
    </table>
</div>
