<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php foreach ($variables['notifications'] as $notice):?>
    <div class="wtotem_alert wt_card" >
        <div class="wtotem_alert__desc">
            <div class="wtotem_alert__img">
                <img src="<?php echo $variables['images_path'] ?><?php echo $notice['image'] ?>">
            </div>
            <div class="wtotem_alert__title <?php echo $notice['class'] ?>"><?php echo $notice['type'] ?>: </div>
            <p class="wtotem_alert__text"><?php echo $notice['text'] ?></p>
        </div>
        <div class="wtotem_alert__close" ></div>

        <script>
            jQuery(document).ready(function ($) {
                toastr["<?php echo $notice['type_raw'] ?>"]('<?php echo $notice['text'] ?>');
            });
        </script>
    </div>
<?php endforeach; ?>
