<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php foreach($variables['reports'] as $report): ?>
<tr class="wtotem_reports-table__row">
    <td class="wtotem_reports-table__column"><?php echo $report['created_at'] ?></td>
    <td class="wtotem_reports-table__column">PDF</td>
    <td class="wtotem_reports-table__column" style="max-width:420px;">
        <?php echo $report['modules'] ?>
    </td>

    <td class="wtotem_reports-table__column wtotem_reports-table__column--actions">
        <div class="wtotem_reports-table__buttons-wrapper">
            <div data-id="<?php echo $report['id'] ?>" class="report-download wtotem_reports-table__button wtotem_reports-table__button--download">
                <span class="visually-hidden"><?php echo \JText::_('WTOTEM_DOWNLOAD') ?></span>
            </div>
        </div>
    </td>
</tr>
<?php endforeach; ?>

<?php if($variables['has_next_page']):?>
<tr id="reports_load_more_wrap">
    <td colspan="5">
        <div class="wtotem_reports-list__load-more-wrapper">
            <div class="wtotem_more_btn" id="reports_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>
        </div>
    </td>
</tr>
<?php endif; ?>
