<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */

// No direct access to this file
defined('_JEXEC') or die;
if (! defined('WEBTOTEM_INIT')) define('WEBTOTEM_INIT', 1);

require_once JPATH_ADMINISTRATOR . '/components/com_wtotem/helpers/Defines.php';

// loads helpers
require_once WTOTEM_PATH . '/helpers/Helper.php';
require_once WTOTEM_PATH . '/helpers/Ajax.php';
require_once WTOTEM_PATH . '/helpers/AgentManager.php';
require_once WTOTEM_PATH . '/helpers/API.php';
require_once WTOTEM_PATH . '/helpers/Cache.php';
require_once WTOTEM_PATH . '/helpers/Country.php';
require_once WTOTEM_PATH . '/helpers/DB.php';
require_once WTOTEM_PATH . '/helpers/Option.php';
require_once WTOTEM_PATH . '/helpers/PageHandler.php';
require_once WTOTEM_PATH . '/helpers/Template.php';

\WebTotem\Helper::load();

$controller = new \WebTotem\PageHandler();
$controller->execute();

?>
